<%@ Page Language="VB" AutoEventWireup="false" CodeFile="sess.aspx.vb" Inherits="sess" %>

<!DOCTYPE html>
<html>
<head id="Head1" runat="server">
    <meta charset="utf-8" />
    <meta content="width=device-width, initial-scale=1.0" name="viewport" />
    <meta name="description" content="Session Expire" />
    <meta name="keywords" content="Agile Cloud, Axpert,HMS,BIZAPP,ERP" />
    <meta name="author" content="Agile Labs" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <title>
        <%=appTitle%></title>
    <%If EnableOldTheme = "true" Then%>
    <%--<link href="../Css/genericOld.min.css" rel="stylesheet" type="text/css" id="generic" />--%>
    <%Else%>
    <%--<link href="../Css/generic.min.css?v=10" rel="stylesheet" type="text/css" id="Link1" />--%>
    <%End If%>
    <link href="../Css/login.min.css?v=16" rel="stylesheet" type="text/css" />
    <script>
        if (!('from' in Array)) {
            // IE 11: Load Browser Polyfill
            document.write('<script src="../Js/polyfill.min.js"><\/script>');
        }
    </script>
    <script src="../Js/thirdparty/jquery/3.1.1/jquery.min.js" type="text/javascript"></script>
    <script src="../Js/noConflict.min.js?v=1" type="text/javascript"></script>
    <link href="../ThirdParty/jquery-confirm-master/jquery-confirm.min.css?v=1" rel="stylesheet" />
    <link href="../Css/globalStyles.min.css?v=28" rel="stylesheet" />
    <script src="../ThirdParty/jquery-confirm-master/jquery-confirm.min.js?v=2" type="text/javascript"></script>
    <script src="../Js/common.min.js?v=77"></script>
    <script type="text/javascript" src="../Js/lang/content-<%=langType%>.js?v=41"></script>
    <script>
        //localStorage.clear();
        sessionStorage.removeItem("homeJsonObj");
        sessionStorage.clear();
        clearLocalStorage = function (exceptions, contains) {
            contains = contains || false;
            var storage = localStorage
            var keys = [];
            var exceptions = [].concat(exceptions) //prevent undefined

            //get storage keys
            $.each(localStorage, function (key, val) {
                keys.push(key);
            });

            //loop through keys
            for (i = 0; i < keys.length; i++) {
                var key = keys[i]
                var deleteItem = true
                //check if key excluded
                for (j = 0; j < exceptions.length; j++) {
                    var exception = exceptions[j];
                    if (key.indexOf(exception) > -1 && contains) { deleteItem = false; }
                    else if (key == exception) { deleteItem = false; }
                }
                //delete key
                if (deleteItem) {
                    localStorage.removeItem(key)
                }
            }
        }
        let appSessUrl = top.window.location.href.toLowerCase().substring("0", top.window.location.href.indexOf("/aspx/"));
        let duplicateUser = localStorage.getItem("duplicateUser-" + appSessUrl);
        let instanceName = localStorage.getItem("instanceName-" + appSessUrl);

        clearLocalStorage(['projInfo-', 'versionInfo-', 'langInfo-', 'hybridGUID-','compressedMode-','duplicateUser-', 'instanceName-'], true);
        var diFileInfo = '<%=strFileinfo%>';
        $(document).ready(function () {

            if (typeof instanceName != "undefined" && instanceName != null) {
                let hrefVal = $("#btnSessLogin").attr('href');
                $("#btnSessLogin").attr("href", hrefVal + "?" + instanceName);
            }
            if (typeof duplicateUser != "undefined" && duplicateUser != "") {
                try {
                    $.ajax({
                        url: 'sess.aspx/ClearSessExpiry',
                        type: 'POST',
                        cache: false,
                        async: true,
                        data: JSON.stringify({
                            duplicateUser: duplicateUser
                        }),
                        dataType: 'json',
                        contentType: "application/json",
                        success: function (data) { }
                    });
                } catch (ex) { }
            }
            $("#lblsesslogin").parent().prop('title', lcm[389]);
            if (isMobileDevice()) {
                let custommoblogoexist = false;
                if (diFileInfo != "") {
                    $j("#main_body").removeAttr("style");
                    var imageUrl = "./../images/Custom/" + diFileInfo;
                    $j("#main_body").css({ "background-image": "url(" + imageUrl + ")", "background-size": "cover", "height": "100vh" });
                    custommoblogoexist = true;
                }
                if (custommoblogoexist == false) {
                    $j("#main_body").removeAttr("style");
                    var imageUrl = "./../AxpImages/login-img.png";
                    $j("#main_body").css({ "background-image": "url(" + imageUrl + ")", "background-size": "cover", "height": "100vh" });
                }

            }
        })
    </script>

</head>
<body id="main_body" runat="server">
    <video id="bgvid" runat="server" playsinline="" autoplay="" muted="" loop="">
        <source src="" type="video/mp4" id="bgvidsource" runat="server">
    </video>
    <div id="login-container">
        <div id="login-logo">
            <img src="../AxpImages/logo.png" alt="Logo" />
        </div>
        <div id="login-prouct-name">
            <%=appName%>
        </div>
        <div id="container-arrow">
            <div class="login-wrapper">
                <div id="info-box" class="card">
                    <h2>
                        <asp:Label ID="lblsessexp" runat="server" meta:resourcekey="lblsessexp">Your session has expired</asp:Label></h2>
                    <ul>
                        <asp:Label ID="lblsessrsn" runat="server" meta:resourcekey="lblsessrsn">This has happened due to the following reasons:</asp:Label>
                        <li>
                            <asp:Label ID="lblsessbrwsr" runat="server" meta:resourcekey="lblsessbrwsr">a. You have kept the browser window idle for a long time.</asp:Label></li>
                        <li>
                            <asp:Label ID="lblsessstatic" runat="server" meta:resourcekey="lblsessstatic">b. You are accessing the application URL from a saved or static page.</asp:Label></li>
                        <li>
                            <asp:Label ID="lblsessdup" runat="server" meta:resourcekey="lblsessdup">c. You might have logged into another session.</asp:Label></li>
                    </ul>
                    <ul>
                        <li><a href="<%=loginStr %>" class="btn hotbtn " id="btnSessLogin">
                            <asp:Label ID="lblsesslogin" runat="server" meta:resourcekey="lblsesslogin">Log in</asp:Label></a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
